/**
 * 
 */
package com.platomix.intchannel.interceptor;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.HandlerInterceptor;

import com.alibaba.fastjson.JSON;
import com.platomix.intchannel.config.R;
import com.platomix.intchannel.model.ChannelUser;
import com.platomix.intchannel.utils.TokenUtil;

import lombok.extern.slf4j.Slf4j;

/**
 * @author wookvn
 * 权限拦截器
 */
@Slf4j
public class PermissionInterceptor implements HandlerInterceptor{
	/**
	 *
	 */
	@Override
	public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)
			throws Exception {
		ChannelUser channelUser = TokenUtil.resolve();
		if(channelUser == null || channelUser.getUserId() == null) {
			return renderJson(response, JSON.toJSONString(R.fail("登录已过期，请重新登录")));
		}
		return true;
	}
	
	private boolean renderJson(HttpServletResponse response, String result) throws Exception {
        response.setCharacterEncoding("UTF-8");
        response.setContentType("application/json; charset=utf-8");
        try (PrintWriter writer = response.getWriter()){
            writer.print(result);
        } catch (IOException e) {
        	log.error(e.getMessage(), e);
        }
        return false;
    }
}