/**
 * 
 */
package com.platomix.intchannel.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("V_INT_CHANNEL_SPID")
@ApiModel(value = "ChannelSpid对象", description = "互联网结算渠道产品视图")
public class ChannelSpid implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "公司名称")
	@TableField("COMPANY")
	private String company;
	
	@ApiModelProperty(value = "渠道ID")
	@TableField("CHANNELID")
	private String channelId;
	
	@ApiModelProperty(value = "渠道名称")
	@TableField("CHANNELNAME")
	private String channelName;
	
	@ApiModelProperty(value = "合作开始月份")
	@TableField("ACCOUNT_STARTDATE")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date accountStartDate;
	
	@ApiModelProperty(value = "合作结束月份")
	@TableField("ACCOUNT_ENDDATE")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date accountEndDate;

	@ApiModelProperty(value = "推广省份")
	@TableField("PROVINCES")
	private String provinces;
	
	@ApiModelProperty(value = "产品ID")
	@TableField("SPID")
	private String spid;
	
	@ApiModelProperty(value = "产品名称")
	@TableField("SPNAME")
	private String spname;
	
	@ApiModelProperty(value = "产品短名称")
	@TableField("SHORTNAME")
	private String shortname;
	
	@ApiModelProperty(value = "产品价格")
	@TableField("PRICE")
	private BigDecimal price;
	
	@ApiModelProperty(value = "分成金额")
	@TableField("PARTNER_INCOME")
	private BigDecimal partnerIncome;
	
	@ApiModelProperty(value = "分成月份")
	@TableField("MONTHS")
	private BigDecimal months;
	
	@ApiModelProperty(value = "是否有效。1：有效；0：无效")
	@TableField("IS_VALID")
	private BigDecimal isValid;

	@ApiModelProperty(value = " 结算单ID。一个结算用户可以对应多个结算单，一个结算单可以对应1-N个结算渠道。")
	@TableField("DEAL_ACCOUNT_ID")
	private String dealAccountId;
}
