package com.platomix.intchannel.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 优酷收银台渠道发展优酷20元产品的结算表
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Data
@TableName("YKSYT_ACCOUNT")
public class YksytAccount implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "月份")
    private Integer themonth;

	@ApiModelProperty(value = "新增")
    private Long newuser;

	@ApiModelProperty(value = "续订")
    private Long olduser;

	@ApiModelProperty(value = "结算用户总数")
    private Long totaluser;

	@ApiModelProperty(value = "结算单价")
    private Double price;

	@ApiModelProperty(value = "结算金额")
    private Double money;

	@ApiModelProperty(value = "序号")
    private Long sid;

	@ApiModelProperty(value = "渠道ID")
    private String channelid;

	@ApiModelProperty(value = "产品ID")
    private String spid;

	@ApiModelProperty(value = "结算类型。1：有效用户；2：会员权益；3：出账用户；4：PRM发布")
	private Integer dealType;


	@TableField(exist = false)
	@ApiModelProperty(value = "金额大写")
	private String convert;

	@TableField(exist = false)
	@ApiModelProperty(value = "渠道名称")
	private String channelName;

	@TableField(exist = false)
	@ApiModelProperty(value = "产品名称")
	private String spName;

	@TableField(exist = false)
	@ApiModelProperty(value = "推送次数")
	private int pushTimes;

	@TableField(exist = false)
	@ApiModelProperty(value = "公司名称")
	private String company;

	@TableField(exist = false)
	private List<FinVippoolMonthDetail> vipList;

}
